#	--------------------------------------------------------------------
#	CX-Card4		EP4CE40/55

#	--------------------------------------------------------------------
set	Project	CX-Card4

#	Modify your selected device
#set	device	EP4CE55F23C7
set	device	EP4CE40F23C7

set	VCCIO	"3.3-V LVTTL"
#set	VCCIO	"3.3-V LVCMOS"
#set	VCCIO	"3.0-V LVTTL"
#set	VCCIO	"3.0-V LVCMOS"
#set	VCCIO	"2.5 V"
#set	VCCIO	"1.8 V"
#set	VCCIO	"1.5 V"
#set	VCCIO	"1.2 V"

#set	VCCB2	"3.3-V LVTTL"
#set	VCCB2	"3.3-V LVCMOS"
set	VCCB2	"3.0-V LVTTL"
#set	VCCB2	"3.0-V LVCMOS"
#set	VCCB2	"2.5 V"
#set	VCCB2	"1.8 V"
#set	VCCB2	"1.5 V"
#set	VCCB2	"1.2 V"

set	VCCB6	"3.3-V LVTTL"
#set	VCCB6	"3.3-V LVCMOS"
#set	VCCB6	"3.0-V LVTTL"
#set	VCCB6	"3.0-V LVCMOS"
#set	VCCB6	"2.5 V"
#set	VCCB6	"1.8 V"
#set	VCCB6	"1.5 V"
#set	VCCB6	"1.2 V"

#	??????????????1???????????
set	CLOCK		1
set	USB			1
set	SRAM		1
set	LED			1
set	SWITCH		1
set	SERIAL		1
set	CN1			1
set	CN2			1

#	???????????????????????????1???????????
set	UNIV2_ACC	0
set	UNIV2_CN3	0
set	UNIV2_CN4	0
set	UNIV2_CN5	0
set	UNIV2_CN6	0
set	UNIV2_CN7	0
set	UNIV2_CN8	0
set	UNIV2_CN9	0
set	UNIV2_CN10	0


puts	""
puts	"This Script is for CX-Card4."
puts	"Project : $Project\[$device\] assignment ........."
puts	""

#	------------	FPGA????????????????????	------------
set_global_assignment -name FAMILY "Cyclone IV E"
set_global_assignment -name DEVICE EP4CE40F23C7
set_global_assignment -name DEVICE_FILTER_PIN_COUNT 256
set_global_assignment -name DEVICE_FILTER_PACKAGE FBGA
set_global_assignment -name DEVICE_FILTER_PIN_COUNT 484
set_global_assignment -name DEVICE $device
set_global_assignment -name ENABLE_INIT_DONE_OUTPUT Off
set_global_assignment -name GENERATE_RBF_FILE ON
set_global_assignment -name CRC_ERROR_CHECKING ON
set_global_assignment -name CRC_ERROR_OPEN_DRAIN OFF
set_global_assignment -name ON_CHIP_BITSTREAM_DECOMPRESSION ON
set_global_assignment -name POWER_PRESET_COOLING_SOLUTION "NO HEAT SINK WITH STILL AIR"
set_global_assignment -name CYCLONEII_RESERVE_NCEO_AFTER_CONFIGURATION "USE AS REGULAR IO"

puts	""
#	--------------------	????????????????	------------------------
set_location_assignment PIN_M16 -to rstn
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to rstn
set_instance_assignment -name PCI_IO ON -to rstn

set_instance_assignment -name VIRTUAL_PIN ON -to dummy

set_location_assignment PIN_L22 -to crc_in
set_instance_assignment -name IO_STANDARD $VCCB6 -to crc_in

#	--------------------	??????????GND???	------------------------

#	EXT1_CLKOUT??????GND
set_location_assignment PIN_R16 -to PGND_R16
set_instance_assignment -name RESERVE_PIN "AS OUTPUT DRIVING GROUND" -to PGND_R16
set_instance_assignment -name IO_STANDARD $VCCIO -to PGND_R16
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to PGND_R16

#	EXT2_CLKOUT??????GND
set_location_assignment PIN_E6 -to PGND_E6
set_instance_assignment -name RESERVE_PIN "AS OUTPUT DRIVING GROUND" -to PGND_E6
set_instance_assignment -name IO_STANDARD $VCCIO -to PGND_E6
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to PGND_E6



if	{ $CLOCK == 1 } {

	set_location_assignment PIN_G1 -to ifclk1
	set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ifclk1
	set_instance_assignment -name PCI_IO ON -to ifclk1

	set_location_assignment PIN_T21 -to ifclk2
	set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ifclk2
	set_instance_assignment -name PCI_IO ON -to ifclk2

	#	VCCIO?+2.5V??+3.3V????????????
	#	??????????3??????????????????
#	set_location_assignment PIN_A11 -to clkin_x3
#	set_instance_assignment -name IO_STANDARD $VCCIO" -to clkin_x3
#	set_instance_assignment -name PCI_IO ON -to clkin_x3

	#	VCCIO?+2.5V??+3.3V????????????
	#	??????????3??????????????????
#	set_location_assignment PIN_AA11 -to clkin_x4
#	set_instance_assignment -name IO_STANDARD $VCCIO -to clkin_x4
#	set_instance_assignment -name PCI_IO ON -to clkin_x4

	set_location_assignment PIN_T22 -to clkin_x5
	set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to clkin_x5
	set_instance_assignment -name PCI_IO ON -to clkin_x5

	puts "Clock signal is assignment."
	flush stdout
}
#	--------------------	??????????	------------------------


#	--------------------	Smart-USB????????????????	------------------------
if	{ $USB == 1 } {

	set_location_assignment PIN_F1 -to fd[0]
	set_location_assignment PIN_F2 -to fd[1]
	set_location_assignment PIN_E1 -to fd[2]
	set_location_assignment PIN_D2 -to fd[3]
	set_location_assignment PIN_C1 -to fd[4]
	set_location_assignment PIN_C2 -to fd[5]
	set_location_assignment PIN_B1 -to fd[6]
	set_location_assignment PIN_B2 -to fd[7]
	set_location_assignment PIN_E4 -to fd[8]
	set_location_assignment PIN_G4 -to fd[9]
	set_location_assignment PIN_E3 -to fd[10]
	set_location_assignment PIN_H5 -to fd[11]
	set_location_assignment PIN_G3 -to fd[12]
	set_location_assignment PIN_J5 -to fd[13]
	set_location_assignment PIN_J4 -to fd[14]
	set_location_assignment PIN_H2 -to fd[15]
	set_instance_assignment -name FAST_INPUT_REGISTER ON -to fd
	set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to fd
	set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to fd
	set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to fd
	set_instance_assignment -name PCI_IO ON -to fd

	set_location_assignment PIN_K7 -to rdn
	set_instance_assignment -name FAST_INPUT_REGISTER ON -to rdn
	set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to rdn
	set_instance_assignment -name PCI_IO ON -to rdn

	set_location_assignment PIN_J7 -to wrn
	set_instance_assignment -name FAST_INPUT_REGISTER ON -to wrn
	set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to wrn
	set_instance_assignment -name PCI_IO ON -to wrn

	set_location_assignment PIN_H7 -to cmdn
	set_instance_assignment -name FAST_INPUT_REGISTER ON -to cmdn
	set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to cmdn
	set_instance_assignment -name PCI_IO ON -to cmdn

	set_location_assignment PIN_J6 -to rgdtn
	set_instance_assignment -name FAST_INPUT_REGISTER ON -to rgdtn
	set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to rgdtn
	set_instance_assignment -name PCI_IO ON -to rgdtn

	set_location_assignment PIN_G5 -to linkn
	set_instance_assignment -name FAST_INPUT_REGISTER ON -to linkn
	set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to linkn
	set_instance_assignment -name PCI_IO ON -to linkn

	set_location_assignment PIN_H6 -to waitn
	set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to waitn
	set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to waitn
	set_instance_assignment -name PCI_IO ON -to waitn

	puts "USB signal is assignment."
	flush stdout
}


#	--------------------	SRAM????????????????	------------------------
if	{ $SRAM == 1 } {

#	set_location_assignment PIN_W22 -to sram_ab[20]
	set_location_assignment PIN_R19 -to sram_ab[19]
	set_location_assignment PIN_V21 -to sram_ab[18]
	set_location_assignment PIN_V22 -to sram_ab[17]
	set_location_assignment PIN_U21 -to sram_ab[16]
	set_location_assignment PIN_U22 -to sram_ab[15]
	set_location_assignment PIN_W19 -to sram_ab[14]
	set_location_assignment PIN_U19 -to sram_ab[13]
	set_location_assignment PIN_U20 -to sram_ab[12]
	set_location_assignment PIN_R18 -to sram_ab[11]
	set_location_assignment PIN_R20 -to sram_ab[10]
	set_location_assignment PIN_N18 -to sram_ab[9]
	set_location_assignment PIN_P17 -to sram_ab[8]
	set_location_assignment PIN_R17 -to sram_ab[7]
	set_location_assignment PIN_N17 -to sram_ab[6]
	set_location_assignment PIN_N16 -to sram_ab[5]
	set_location_assignment PIN_Y22 -to sram_ab[4]
	set_location_assignment PIN_W20 -to sram_ab[3]
	set_location_assignment PIN_W21 -to sram_ab[2]
	set_location_assignment PIN_Y21 -to sram_ab[1]
	set_location_assignment PIN_AA21 -to sram_ab[0]
	set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to sram_ab
	set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to sram_ab

	set_location_assignment PIN_N22 -to sram_db[7]
	set_location_assignment PIN_N21 -to sram_db[6]
	set_location_assignment PIN_M22 -to sram_db[5]
	set_location_assignment PIN_M21 -to sram_db[4]
	set_location_assignment PIN_R22 -to sram_db[3]
	set_location_assignment PIN_R21 -to sram_db[2]
	set_location_assignment PIN_P21 -to sram_db[1]
	set_location_assignment PIN_P22 -to sram_db[0]
	set_instance_assignment -name FAST_INPUT_REGISTER ON -to sram_db
	set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to sram_db
	set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to sram_db
	set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to sram_db
	set_instance_assignment -name PCI_IO ON -to sram_db

	set_location_assignment PIN_N19 -to sram_oen
	set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to sram_oen
	set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to sram_oen

	set_location_assignment PIN_P20 -to sram_wen
	set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to sram_wen
	set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to sram_wen

	set_location_assignment PIN_N20 -to sram_csn
	set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to sram_csn
	set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to sram_csn

	puts "SRAM signal is assignment."
	flush stdout
}

#	--------------------	LED????????	------------------------
if	{ $LED == 1 } {

	set_location_assignment PIN_J1 -to led[0]
	set_location_assignment PIN_J2 -to led[1]
	set_location_assignment PIN_J3 -to led[2]
	set_location_assignment PIN_H1 -to led[3]
	set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to led
	set_instance_assignment -name CURRENT_STRENGTH_NEW "MINIMUM CURRENT" -to led

	puts "LED signal is assignment."
	flush stdout
}


#	--------------------	??????????????	------------------------
if	{ $SWITCH == 1 } {

	set_location_assignment PIN_C20 -to dipsw[1]
	set_location_assignment PIN_J17 -to dipsw[2]
	set_location_assignment PIN_H16 -to dipsw[3]
	set_location_assignment PIN_H18 -to dipsw[4]
	set_instance_assignment -name IO_STANDARD $VCCB6 -to dipsw

	set_location_assignment PIN_D20 -to psw
	set_instance_assignment -name IO_STANDARD $VCCB6 -to psw

	puts "Switch signal is assignment."
	flush stdout
}

#	--------------------	??????????????	------------------------
if	{ $SERIAL == 1 } {

	set_location_assignment PIN_M19 -to rxd
	set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to rxd
	set_instance_assignment -name FAST_INPUT_REGISTER ON -to rxd
	set_instance_assignment -name PCI_IO ON -to rxd

	set_location_assignment PIN_M20 -to txd
	set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to txd
	set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to txd

	puts "Serial signal is assignment."
	flush stdout
}

#	--------------------	CN1??????????	------------------------
if	{ $CN1 == 1 } {

	set_location_assignment PIN_T16 -to cn4_clo
	set_instance_assignment -name IO_STANDARD $VCCIO -to cn4_clo

	set_location_assignment PIN_AA12 -to cn3_cli
	set_instance_assignment -name IO_STANDARD $VCCIO -to cn3_cli

	puts "CN1 is assignment."
	flush stdout
}

#	--------------------	CN2??????????	------------------------
if	{ $CN2 == 1 } {

	set_location_assignment PIN_E5 -to cn8_clo
	set_instance_assignment -name IO_STANDARD $VCCIO -to cn8_clo

	set_location_assignment PIN_B11 -to cn7_cli
	set_instance_assignment -name IO_STANDARD $VCCIO -to cn7_cli

	puts "CN2 is assignment."
	flush stdout
}



#	--------------------	???????????????????????????	------------------------
if	{ $UNIV2_ACC == 1 } {

	set_location_assignment PIN_G16 -to univ2_seg_db[7]
	set_location_assignment PIN_D17 -to univ2_seg_db[6]
	set_location_assignment PIN_G15 -to univ2_seg_db[5]
	set_location_assignment PIN_C17 -to univ2_seg_db[4]
	set_location_assignment PIN_A18 -to univ2_seg_db[3]
	set_location_assignment PIN_B18 -to univ2_seg_db[2]
	set_location_assignment PIN_D15 -to univ2_seg_db[1]
	set_location_assignment PIN_E14 -to univ2_seg_db[0]
	set_instance_assignment -name IO_STANDARD $VCCIO -to univ2_seg_db
	set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to univ2_seg_db

	set_location_assignment PIN_C15 -to univ2_seg_sel[4]
	set_location_assignment PIN_F14 -to univ2_seg_sel[3]
	set_location_assignment PIN_D13 -to univ2_seg_sel[2]
	set_location_assignment PIN_C13 -to univ2_seg_sel[1]
	set_location_assignment PIN_E13 -to univ2_seg_sel[0]
	set_instance_assignment -name IO_STANDARD $VCCIO -to univ2_seg_sel
	set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to univ2_seg_sel

	set_location_assignment PIN_E15 -to univ2_dipsw[4]
	set_location_assignment PIN_A20 -to univ2_dipsw[3]
	set_location_assignment PIN_F15 -to univ2_dipsw[2]
	set_location_assignment PIN_E16 -to univ2_dipsw[1]
	set_instance_assignment -name IO_STANDARD $VCCIO -to univ2_dipsw

	set_location_assignment PIN_D19 -to univ2_psw[4]
	set_location_assignment PIN_C19 -to univ2_psw[3]
	set_location_assignment PIN_F16 -to univ2_psw[2]
	set_location_assignment PIN_B20 -to univ2_psw[1]
	set_instance_assignment -name IO_STANDARD $VCCIO -to univ2_psw


	puts "UNIV2_ACC signal is assignment."
	flush stdout
}

#	--------------------	????????????CN3??????????	------------------------
if	{ $UNIV2_CN3 == 1 } {

	set_location_assignment PIN_AB3 -to cn3[5]
	set_location_assignment PIN_AA3 -to cn3[6]
	set_location_assignment PIN_AB4 -to cn3[7]
	set_location_assignment PIN_AA4 -to cn3[8]
	set_location_assignment PIN_AB5 -to cn3[9]
	set_location_assignment PIN_AA5 -to cn3[10]
	set_location_assignment PIN_AB7 -to cn3[11]
	set_location_assignment PIN_AA7 -to cn3[12]
	set_location_assignment PIN_AB9 -to cn3[13]
	set_location_assignment PIN_AA8 -to cn3[14]
	set_location_assignment PIN_AB8 -to cn3[15]
	set_location_assignment PIN_AA10 -to cn3[16]
	set_location_assignment PIN_AB10 -to cn3[17]
	set_location_assignment PIN_AA9 -to cn3[18]
	set_location_assignment PIN_AA14 -to cn3[19]
	set_location_assignment PIN_AB13 -to cn3[20]
	set_location_assignment PIN_AA13 -to cn3[21]
	set_location_assignment PIN_AB15 -to cn3[22]
	set_location_assignment PIN_AA15 -to cn3[23]
	set_location_assignment PIN_AB14 -to cn3[24]
	set_location_assignment PIN_AA17 -to cn3[25]
	set_location_assignment PIN_AB16 -to cn3[26]
	set_location_assignment PIN_AA16 -to cn3[27]
	set_instance_assignment -name IO_STANDARD $VCCIO -to cn3
	#set_instance_assignment -name FAST_INPUT_REGISTER ON -to cn3
	#set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to cn3
	#set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to cn3
	puts "UNIV2-CN3 signal is assignment."
	flush stdout
}

#	--------------------	????????????CN4??????????	------------------------
if	{ $UNIV2_CN4 == 1 } {

	set_location_assignment PIN_T15 -to cn4[5]
	set_location_assignment PIN_U13 -to cn4[6]
	set_location_assignment PIN_V13 -to cn4[7]
	set_location_assignment PIN_W13 -to cn4[8]
	set_location_assignment PIN_Y13 -to cn4[9]
	set_location_assignment PIN_W14 -to cn4[10]
	set_location_assignment PIN_V14 -to cn4[11]
	set_location_assignment PIN_W15 -to cn4[12]
	set_location_assignment PIN_V15 -to cn4[13]
	set_location_assignment PIN_Y17 -to cn4[14]
	set_location_assignment PIN_V16 -to cn4[15]
	set_location_assignment PIN_W17 -to cn4[16]
	set_location_assignment PIN_U14 -to cn4[17]
	set_location_assignment PIN_AA18 -to cn4[18]
	set_location_assignment PIN_T14 -to cn4[19]
	set_location_assignment PIN_AB17 -to cn4[20]
	set_location_assignment PIN_U15 -to cn4[21]
	set_location_assignment PIN_AB18 -to cn4[22]
	set_location_assignment PIN_R14 -to cn4[23]
	set_location_assignment PIN_AB20 -to cn4[24]
	set_location_assignment PIN_U16 -to cn4[25]
	set_location_assignment PIN_AA20 -to cn4[26]
	set_location_assignment PIN_U17 -to cn4[27]
	set_instance_assignment -name IO_STANDARD $VCCIO -to cn4
	#set_instance_assignment -name FAST_INPUT_REGISTER ON -to cn4
	set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to cn4
	set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to cn4
	puts "UNIV2-CN4 signal is assignment."
	flush stdout
}

#	--------------------	????????????CN5??????????	------------------------
if	{ $UNIV2_CN5 == 1 } {

	set_location_assignment PIN_P4 -to cn5[5]
	set_location_assignment PIN_P3 -to cn5[6]
	set_location_assignment PIN_M2 -to cn5[7]
	set_location_assignment PIN_M1 -to cn5[8]
	set_location_assignment PIN_M4 -to cn5[9]
	set_location_assignment PIN_M3 -to cn5[10]
	set_location_assignment PIN_N2 -to cn5[11]
	set_location_assignment PIN_N1 -to cn5[12]
	set_location_assignment PIN_P2 -to cn5[13]
	set_location_assignment PIN_P1 -to cn5[14]
	set_location_assignment PIN_R2 -to cn5[15]
	set_location_assignment PIN_R1 -to cn5[16]
	set_location_assignment PIN_L6 -to cn5[17]
	set_location_assignment PIN_M6 -to cn5[18]
	set_location_assignment PIN_U2 -to cn5[19]
	set_location_assignment PIN_U1 -to cn5[20]
	set_location_assignment PIN_V2 -to cn5[21]
	set_location_assignment PIN_V1 -to cn5[22]
	set_location_assignment PIN_W2 -to cn5[23]
	set_location_assignment PIN_W1 -to cn5[24]
	set_location_assignment PIN_Y2 -to cn5[25]
	set_location_assignment PIN_Y1 -to cn5[26]
	set_location_assignment PIN_N7 -to cn5[27]
	set_location_assignment PIN_P7 -to cn5[28]
	set_location_assignment PIN_T2 -to cn5_clip
	set_location_assignment PIN_T1 -to cn5_clin
	set_instance_assignment -name IO_STANDARD $VCCIO -to cn5
	set_instance_assignment -name IO_STANDARD $VCCIO -to cn5_clip
	set_instance_assignment -name IO_STANDARD $VCCIO -to cn5_clin
	#set_instance_assignment -name FAST_INPUT_REGISTER ON -to cn5
	#set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to cn5
	#set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to cn5
	puts "UNIV2-CN5 signal is assignment."
	flush stdout
}

#	--------------------	????????????CN6??????????	------------------------
if	{ $UNIV2_CN6 == 1 } {

	set_location_assignment PIN_U8 -to cn6[5]
	set_location_assignment PIN_U7 -to cn6[6]
	set_location_assignment PIN_V6 -to cn6[7]
	set_location_assignment PIN_Y3 -to cn6[8]
	set_location_assignment PIN_T10 -to cn6[9]
	set_location_assignment PIN_Y4 -to cn6[10]
	set_location_assignment PIN_W6 -to cn6[11]
	set_location_assignment PIN_Y6 -to cn6[12]
	set_location_assignment PIN_V7 -to cn6[13]
	set_location_assignment PIN_Y7 -to cn6[14]
	set_location_assignment PIN_V8 -to cn6[15]
	set_location_assignment PIN_Y8 -to cn6[16]
	set_location_assignment PIN_U10 -to cn6[17]
	set_location_assignment PIN_U11 -to cn6[18]
	set_location_assignment PIN_Y10 -to cn6[19]
	set_location_assignment PIN_U12 -to cn6[20]
	set_location_assignment PIN_V11 -to cn6[21]
	set_location_assignment PIN_V5 -to cn6[22]
	set_location_assignment PIN_T11 -to cn6[23]
	set_location_assignment PIN_U9 -to cn6[24]
	set_location_assignment PIN_V9 -to cn6[25]
	set_location_assignment PIN_W7 -to cn6[26]
	set_location_assignment PIN_W8 -to cn6[27]
	set_location_assignment PIN_V10 -to cn6[28]
	set_location_assignment PIN_W10 -to cn6_clop
	set_location_assignment PIN_V12 -to cn6_clon

	set_instance_assignment -name IO_STANDARD $VCCIO -to cn6
	set_instance_assignment -name IO_STANDARD $VCCIO -to cn6_clop
	set_instance_assignment -name IO_STANDARD $VCCIO -to cn6_clon
	#set_instance_assignment -name FAST_INPUT_REGISTER ON -to cn6
	set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to cn6
	set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to cn6
	puts "UNIV2-CN6 signal is assignment."
	flush stdout
}

#	--------------------	????????????CN7??????????	------------------------
if	{ $UNIV2_CN7 == 1 } {

	set_location_assignment PIN_E11 -to cn7[5]
	set_location_assignment PIN_F11 -to cn7[6]
	set_location_assignment PIN_A10 -to cn7[7]
	set_location_assignment PIN_B10 -to cn7[8]
	set_location_assignment PIN_A9 -to cn7[9]
	set_location_assignment PIN_B9 -to cn7[10]
	set_location_assignment PIN_A8 -to cn7[11]
	set_location_assignment PIN_B8 -to cn7[12]
	set_location_assignment PIN_A7 -to cn7[13]
	set_location_assignment PIN_B7 -to cn7[14]
	set_location_assignment PIN_A6 -to cn7[15]
	set_location_assignment PIN_B6 -to cn7[16]
	set_location_assignment PIN_A5 -to cn7[17]
	set_location_assignment PIN_B5 -to cn7[18]
	set_location_assignment PIN_A4 -to cn7[19]
	set_location_assignment PIN_B4 -to cn7[20]
	set_location_assignment PIN_A3 -to cn7[21]
	set_location_assignment PIN_B3 -to cn7[22]
	set_location_assignment PIN_E7 -to cn7[23]
	set_location_assignment PIN_G7 -to cn7[24]
	set_location_assignment PIN_F7 -to cn7[25]
	set_location_assignment PIN_G8 -to cn7[26]
	set_location_assignment PIN_F8 -to cn7[27]
	set_instance_assignment -name IO_STANDARD $VCCIO -to cn7
	#set_instance_assignment -name FAST_INPUT_REGISTER ON -to cn7
	#set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to cn7
	#set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to cn7
	puts "UNIV2-CN7 signal is assignment."
	flush stdout
}

#	--------------------	????????????CN8??????????	------------------------
if	{ $UNIV2_CN8 == 1 } {

	set_location_assignment PIN_B13 -to cn8[5]
	set_location_assignment PIN_A13 -to cn8[6]
	set_location_assignment PIN_A17 -to cn8[7]
	set_location_assignment PIN_B17 -to cn8[8]
	set_location_assignment PIN_A16 -to cn8[9]
	set_location_assignment PIN_B16 -to cn8[10]
	set_location_assignment PIN_B14 -to cn8[11]
	set_location_assignment PIN_A14 -to cn8[12]
	set_location_assignment PIN_B15 -to cn8[13]
	set_location_assignment PIN_A15 -to cn8[14]
	set_location_assignment PIN_C10 -to cn8[15]
	set_location_assignment PIN_D10 -to cn8[16]
	set_location_assignment PIN_E10 -to cn8[17]
	set_location_assignment PIN_F10 -to cn8[18]
	set_location_assignment PIN_G10 -to cn8[19]
	set_location_assignment PIN_C8 -to cn8[20]
	set_location_assignment PIN_E9 -to cn8[21]
	set_location_assignment PIN_C7 -to cn8[22]
	set_location_assignment PIN_D7 -to cn8[23]
	set_location_assignment PIN_C6 -to cn8[24]
	set_location_assignment PIN_D6 -to cn8[25]
	set_location_assignment PIN_C4 -to cn8[26]
	set_location_assignment PIN_C3 -to cn8[27]
	set_instance_assignment -name IO_STANDARD $VCCIO -to cn8
	#set_instance_assignment -name FAST_INPUT_REGISTER ON -to cn8
	set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to cn8
	set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to cn8
	puts "UNIV2-CN8 signal is assignment."
	flush stdout
}

#	--------------------	????????????CN9??????????	------------------------
if	{ $UNIV2_CN9 == 1 } {

	set_location_assignment PIN_K21 -to cn9[5]
	set_location_assignment PIN_K22 -to cn9[6]
	set_location_assignment PIN_J21 -to cn9[7]
	set_location_assignment PIN_J22 -to cn9[8]
	set_location_assignment PIN_H21 -to cn9[9]
	set_location_assignment PIN_H22 -to cn9[10]
	set_location_assignment PIN_K18 -to cn9[11]
	set_location_assignment PIN_K17 -to cn9[12]
	set_location_assignment PIN_F21 -to cn9[13]
	set_location_assignment PIN_F22 -to cn9[14]
	set_location_assignment PIN_H19 -to cn9[15]
	set_location_assignment PIN_H20 -to cn9[16]
	set_location_assignment PIN_E21 -to cn9[17]
	set_location_assignment PIN_E22 -to cn9[18]
	set_location_assignment PIN_D21 -to cn9[19]
	set_location_assignment PIN_D22 -to cn9[20]
	set_location_assignment PIN_F19 -to cn9[21]
	set_location_assignment PIN_F20 -to cn9[22]
	set_location_assignment PIN_H17 -to cn9[23]
	set_location_assignment PIN_G18 -to cn9[24]
	set_location_assignment PIN_C21 -to cn9[25]
	set_location_assignment PIN_C22 -to cn9[26]
	set_location_assignment PIN_B21 -to cn9[27]
	set_location_assignment PIN_B22 -to cn9[28]
	set_location_assignment PIN_G21 -to cn9_clip
	set_location_assignment PIN_G22 -to cn9_clin
	
	set_instance_assignment -name IO_STANDARD $VCCIO -to cn9
	set_instance_assignment -name IO_STANDARD $VCCIO -to cn9_clip
	set_instance_assignment -name IO_STANDARD $VCCIO -to cn9_clin
	#set_instance_assignment -name FAST_INPUT_REGISTER ON -to cn9
	#set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to univ2_cn9
	#set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to univ2_cn9
	puts "UNIV2-CN9 signal is assignment."
	flush stdout
}

#	--------------------	????????????CN10??????????	------------------------
if	{ $UNIV2_CN10 == 1 } {

	#	CN10-5?25????????????????????
	set_location_assignment PIN_D19 -to cn10[5]
	set_location_assignment PIN_C19 -to cn10[6]
	set_location_assignment PIN_F16 -to cn10[7]
	set_location_assignment PIN_B20 -to cn10[8]
	set_location_assignment PIN_E15 -to cn10[9]
	set_location_assignment PIN_A20 -to cn10[10]
	set_location_assignment PIN_F15 -to cn10[11]
	set_location_assignment PIN_E16 -to cn10[12]
	set_location_assignment PIN_G16 -to cn10[13]
	set_location_assignment PIN_D17 -to cn10[14]
	set_location_assignment PIN_G15 -to cn10[15]
	set_location_assignment PIN_C17 -to cn10[16]
	set_location_assignment PIN_A18 -to cn10[17]
	set_location_assignment PIN_B18 -to cn10[18]
	set_location_assignment PIN_D15 -to cn10[19]
	set_location_assignment PIN_E14 -to cn10[20]
	set_location_assignment PIN_C15 -to cn10[21]
	set_location_assignment PIN_F14 -to cn10[22]
	set_location_assignment PIN_D13 -to cn10[23]
	set_location_assignment PIN_C13 -to cn10[24]
	set_location_assignment PIN_E13 -to cn10[25]
	set_location_assignment PIN_G14 -to cn10[26]
	set_location_assignment PIN_F13 -to cn10[27]
	set_location_assignment PIN_G13 -to cn10[28]
	set_location_assignment PIN_E12 -to cn10_clop
	set_location_assignment PIN_G11 -to cn10_clon
	set_instance_assignment -name IO_STANDARD $VCCIO -to cn10

	set_instance_assignment -name IO_STANDARD $VCCIO -to cn10_clop
	set_instance_assignment -name IO_STANDARD $VCCIO -to cn10_clon
	#set_instance_assignment -name FAST_INPUT_REGISTER ON -to univ2_cn10
	#set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to univ2_cn10
	#set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to univ2_cn10
	puts "UNIV2-CN10 signal is assignment."
	flush stdout
}

puts "\nCommand was completed!!"
